Skip to navigation

Update a custom entity

Update a custom entity

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

custom_entity_idstringRequired

Request

This endpoint expects an object.
aliaseslist of stringsOptional
Aliases to add to the custom entity
authorIdslist of stringsOptional
IDs of users to set as the custom entity's authors.
customFieldsmap from strings to objectsOptional
Custom fields to add to the custom entity. Every field should have its name as a key, mapping to an object with information about the value of the field.
entityRegistryIdstringOptional
fieldsmap from strings to objectsOptional
Schema fields to set on the custom entity. Must correspond with the schema's field definitions. Every field should have its name as a key, mapping to an object with information about the value of the field.
folderIdstringOptional
ID of the folder that the entity is moved into
namestringOptional
schemaIdstringOptional

Response

OK
aliaseslist of stringsOptional
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the Custom Entity in the API.
archiveRecordobject or nullOptional
authorslist of objectsOptional
createdAtdatetimeOptionalRead-only
creatorobjectOptional
customFieldsmap from strings to objectsOptional
entityRegistryIdstring or nullOptional
fieldsmap from strings to objectsOptional
folderIdstring or nullOptional
idstringOptional
modifiedAtdatetimeOptionalRead-only
namestringOptional
registrationOriginobject or nullOptional
registryIdstring or nullOptional
schemaobject or nullOptional
urlstringOptional
The path of the web URL, omitting the tenant domain
webURLstringOptionalRead-only

Errors

400
Bad Request Error